### Property

# WebKit2 WebsiteDataManager:is-ephemeral

since: 2.16

#### Declaration

    property is-ephemeral: gboolean [ read, write, construct-only ]

#### Description [src]

Whether the `WebKitWebsiteDataManager` is ephemeral. An ephemeral `WebKitWebsiteDataManager` handles all websites data as non-persistent, and nothing will be written to the client storage. Note that if you create an ephemeral `WebKitWebsiteDataManager` all other construction parameters to configure data directories will be ignored.

Type: | `gboolean`
Available since: | 2.16

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes